
if(NOT "/home/ericl/Documents/Projects/PyAOgmaNeo/_deps/aogmaneo-subbuild/aogmaneo-populate-prefix/src/aogmaneo-populate-stamp/aogmaneo-populate-gitinfo.txt" IS_NEWER_THAN "/home/ericl/Documents/Projects/PyAOgmaNeo/_deps/aogmaneo-subbuild/aogmaneo-populate-prefix/src/aogmaneo-populate-stamp/aogmaneo-populate-gitclone-lastrun.txt")
  message(STATUS "Avoiding repeated git clone, stamp file is up to date: '/home/ericl/Documents/Projects/PyAOgmaNeo/_deps/aogmaneo-subbuild/aogmaneo-populate-prefix/src/aogmaneo-populate-stamp/aogmaneo-populate-gitclone-lastrun.txt'")
  return()
endif()

execute_process(
  COMMAND ${CMAKE_COMMAND} -E rm -rf "/home/ericl/Documents/Projects/PyAOgmaNeo/_deps/aogmaneo-src"
  RESULT_VARIABLE error_code
  )
if(error_code)
  message(FATAL_ERROR "Failed to remove directory: '/home/ericl/Documents/Projects/PyAOgmaNeo/_deps/aogmaneo-src'")
endif()

# try the clone 3 times in case there is an odd git clone issue
set(error_code 1)
set(number_of_tries 0)
while(error_code AND number_of_tries LESS 3)
  execute_process(
    COMMAND "/usr/bin/git"  clone --no-checkout --config "advice.detachedHead=false" "https://github.com/ogmacorp/AOgmaNeo.git" "aogmaneo-src"
    WORKING_DIRECTORY "/home/ericl/Documents/Projects/PyAOgmaNeo/_deps"
    RESULT_VARIABLE error_code
    )
  math(EXPR number_of_tries "${number_of_tries} + 1")
endwhile()
if(number_of_tries GREATER 1)
  message(STATUS "Had to git clone more than once:
          ${number_of_tries} times.")
endif()
if(error_code)
  message(FATAL_ERROR "Failed to clone repository: 'https://github.com/ogmacorp/AOgmaNeo.git'")
endif()

execute_process(
  COMMAND "/usr/bin/git"  checkout 22b1a29fc16a14f7223d62c85b0e27d826df2a15 --
  WORKING_DIRECTORY "/home/ericl/Documents/Projects/PyAOgmaNeo/_deps/aogmaneo-src"
  RESULT_VARIABLE error_code
  )
if(error_code)
  message(FATAL_ERROR "Failed to checkout tag: '22b1a29fc16a14f7223d62c85b0e27d826df2a15'")
endif()

set(init_submodules TRUE)
if(init_submodules)
  execute_process(
    COMMAND "/usr/bin/git"  submodule update --recursive --init 
    WORKING_DIRECTORY "/home/ericl/Documents/Projects/PyAOgmaNeo/_deps/aogmaneo-src"
    RESULT_VARIABLE error_code
    )
endif()
if(error_code)
  message(FATAL_ERROR "Failed to update submodules in: '/home/ericl/Documents/Projects/PyAOgmaNeo/_deps/aogmaneo-src'")
endif()

# Complete success, update the script-last-run stamp file:
#
execute_process(
  COMMAND ${CMAKE_COMMAND} -E copy
    "/home/ericl/Documents/Projects/PyAOgmaNeo/_deps/aogmaneo-subbuild/aogmaneo-populate-prefix/src/aogmaneo-populate-stamp/aogmaneo-populate-gitinfo.txt"
    "/home/ericl/Documents/Projects/PyAOgmaNeo/_deps/aogmaneo-subbuild/aogmaneo-populate-prefix/src/aogmaneo-populate-stamp/aogmaneo-populate-gitclone-lastrun.txt"
  RESULT_VARIABLE error_code
  )
if(error_code)
  message(FATAL_ERROR "Failed to copy script-last-run stamp file: '/home/ericl/Documents/Projects/PyAOgmaNeo/_deps/aogmaneo-subbuild/aogmaneo-populate-prefix/src/aogmaneo-populate-stamp/aogmaneo-populate-gitclone-lastrun.txt'")
endif()

